/*
 * Copyright (c) 2007, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wso2.registry.app;

import javax.xml.namespace.QName;

public interface APPConstants {
    static final String ATOM = "/atom";
    
    // Custom elements in Atom feeds and entries
    static final String NAMESPACE = "http://wso2.org/registry";
    static final QName QNAME_AVGRATING = new QName(NAMESPACE, "AverageRating", "wso2");
    static final QName COMMENTS_QNAME = new QName(NAMESPACE, "isComments");
    static final QName COMMENTID_QNAME = new QName(NAMESPACE, "commentID");
    static final String IMPORT_MEDIATYPE = "application/resource-import";

    static final String PARAMETER_VERSION = "versions";
    static final String PARAMETER_RESTORE = "restore";
    static final String PARAMETER_RENAME = "rename";
    static final String PARAMETER_MOVE = "move";
    static final String PARAMETER_COPY = "copy";
    static final String PARAMETER_ADD_USER = "adduser";
    static final String PARAMETER_ADD_ROLE = "addrole";
    static final String PARAMETER_TAGS = "tags";
    static final String PARAMETER_TAG_PATHS = "tagpaths";
    static final String PARAMETER_TAGS_REMOVED = "removeTags";
    static final String PARAMETER_RATINGS = "ratings";
    static final String PARAMETER_AVERAGE_RATINGS = "avgRtings";
    static final String PARAMETER_COMMENTS = "comments";
    static final String PARAMETER_LOGS = "logs";
    static final String PARAMETER_QUERY = "query";
    static final String PARAMETER_RESOURCE_EXIST = "resourceExists";
    
    // Aspects
    static final String ASPECTS = "aspects";
    static final String ASPECT = "aspect";
    static final String PARAMETER_ASSOCIATE_ASPECT = "associateAspect";
    static final String PARAMETER_INVOKE_ASPECT = "invokeAspect";
    static final String PARAMETER_GET_ASPECT_ACTIONS = "getAspectActions";

    static final String PARAMETER_ADD_ASSOCIATION = "associate";
    static final String PARAMETER_REMOVE_ASSOCIATION = "removeassociate";
    static final String PARAMETER_GET_ALL_ASSOCIATION = "getAllassociations";
    static final String PARAMETER_GET_ALL_ASSOCIATION_FOR_TYPE = "getAssociations";

    static final String ASSOCIATIONS = "associations";
    static final QName QNAME_ASSOC = new QName(NAMESPACE, "association");
    static final String ASSOC_TYPE = "type";
    static final QName QNAME_LAST_UPDATER = new QName(NAMESPACE, "lastUpdatedUser");
    static final QName QNAME_CHILD_COUNT = new QName(NAMESPACE, "childCount");
    static final QName QNAME_MEDIATYPE = new QName(NAMESPACE, "mediaType");
    static final QName QNAME_SNAPSHOT_ID = new QName(NAMESPACE, "snapshotID");    
}
