/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.registry.samples.handlers.servers;

import org.wso2.registry.jdbc.handlers.EditProcessor;
import org.wso2.registry.exceptions.RegistryException;
import org.wso2.registry.Registry;
import org.wso2.registry.Resource;
import org.wso2.registry.RegistryConstants;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ServerDetailsEditProcessor extends EditProcessor {

    public boolean processEditContent(String path, String editViewName, HttpServletRequest request, HttpServletResponse response)
            throws RegistryException {

        String name = request.getParameter("server-name");
        String desc = request.getParameter("server-desc");
        String ip = request.getParameter("server-ip");
        String ports = request.getParameter("server-ports");
        String admin = request.getParameter("server-admin");

        String content = "name: " + name + "\ndescription: " + desc + "\nip: " + ip +
                "\nports: " + ports + "\nadmin: " + admin;

        Registry registry = getRegistry(request);
        Resource resource = registry.get(path);
        resource.setContent(content);
        registry.put(path, resource);
        resource.discard();

        return false;
    }

    public boolean processNewContent(
            String parentPath,
            String newViewKey,
            HttpServletRequest request,
            HttpServletResponse response) throws RegistryException {

        String content;

        if ("basic".equals(newViewKey)) {

            String name = request.getParameter("server-name");
            String desc = request.getParameter("server-desc");
            String ip = request.getParameter("server-ip");
            String ports = request.getParameter("server-ports");
            String admin = request.getParameter("server-admin");

            content = "name: " + name + "\ndescription: " + desc + "\nip: " + ip +
                    "\nports: " + ports + "\nadmin: " + admin;

        } else {
            content = request.getParameter("details");
        }

        String resourceName = request.getParameter("resourceName");
        String path = parentPath + RegistryConstants.PATH_SEPARATOR + resourceName;

        Registry registry = getRegistry(request);
        Resource resource = registry.newResource();
        resource.setMediaType("application/vnd.server-info");
        resource.setContent(content);
        registry.put(path, resource);
        resource.discard();

        return false;
    }
}
